Mailinglist Archive: opensuse-updates (58 mails)

< Previous Next >
openSUSE-SU-2013:1306-1: moderate: tomcat
openSUSE Security Update: tomcat
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1306-1
Rating: moderate
References: #822177 #831117
Cross-References: CVE-2013-1976 CVE-2013-2071
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


Tomcat was updated to fix two security issues:

CVE-2013-1976: Avoid a potential symlink race during
startup of the tomcat server, where a local attacker that
gaine access to the tomcat chroot could escalate privileges
to root.

CVE-2013-2071:
java/org/apache/catalina/core/AsyncContextImpl.java in
Apache Tomcat 7.x did not properly handle the throwing of a
RuntimeException in an AsyncListener in an application,
which allows context-dependent attackers to obtain
sensitive request information intended for other
applications in opportunistic circumstances via an
application that records the requests that it processes.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-632

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (noarch):

tomcat-7.0.35-2.9.1
tomcat-admin-webapps-7.0.35-2.9.1
tomcat-docs-webapp-7.0.35-2.9.1
tomcat-el-2_2-api-7.0.35-2.9.1
tomcat-javadoc-7.0.35-2.9.1
tomcat-jsp-2_2-api-7.0.35-2.9.1
tomcat-jsvc-7.0.35-2.9.1
tomcat-lib-7.0.35-2.9.1
tomcat-servlet-3_0-api-7.0.35-2.9.1
tomcat-webapps-7.0.35-2.9.1


References:

http://support.novell.com/security/cve/CVE-2013-1976.html
http://support.novell.com/security/cve/CVE-2013-2071.html
https://bugzilla.novell.com/822177
https://bugzilla.novell.com/831117


< Previous Next >
This Thread
  • No further messages